=== PVE/VZDump/Makefile ===

.PHONY: install
install:
	install -D -m 0644 LXC.pm ${PERLDIR}/PVE/VZDump/LXC.pm
	install -D -m 0644 ConvertOVZ.pm ${PERLDIR}/PVE/VZDump/ConvertOVZ.pm
