=== debian/changelog ===
pve-container (5.2.2) bookworm; urgency=medium

  * network config: avoid committing invalid config on hotplug failure, rather
    try rolling back to previous config

  * setup: add support Ubuntu 24.10 and future 25.04

  * setup centos & derivatives: hostname: only read sysconfig network if
    exist. This fixes the support for Fedora 41 images.

 -- Proxmox Support Team <support@proxmox.com>  Tue, 19 Nov 2024 14:02:54 +0100

pve-container (5.2.1) bookworm; urgency=medium

  * api status: add some missing descriptions in return schema

  * fix #5761: add the "discard" mount option

  * fix typos on user-visible strings

  * fix #5762: lxc: setup: support `opensuse-slowroll` as OpenSUSE
    flavor

  * fix #5742: lxc: setup: centos template keep static ipv6 assignment

  * fix #5720: add setup support for openEuler

  * CentOS: disable some systemd units for sysfs debug mounts that
    cannot work in containers

 -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2024 16:00:46 +0100

pve-container (5.2.0) bookworm; urgency=medium

  * fix #5674: add missing 'proxyto' for LXC interfaces API

  * fedora setup: drop checking for to new version, allowing 41 and newer
    uncoditionally.

  * backup: warn that tar does not honor exclusion pattern with a trailing
    slash

  * add 'deny-write' option for device passthrough to make said device
    read-only

  * api: improve CLI auto-completion of the storage parameter for the 'create'
    and 'move-volume' commands such that it includes a storage only if it has
    the 'rootdir' container content type enabled.

  * add auto-completion of the storage parameter for the 'clone' command

 -- Proxmox Support Team <support@proxmox.com>  Tue, 10 Sep 2024 16:47:03 +0200

pve-container (5.1.12) bookworm; urgency=medium

  * backup: log errors from rsync

  * d/control: relax versioned dependency for backup client again

 -- Proxmox Support Team <support@proxmox.com>  Tue, 18 Jun 2024 09:16:15 +0200

pve-container (5.1.11) bookworm; urgency=medium

  * remote migration: enable schema validation

  * vzdump: conditionally set PBS change detection mode option

 -- Proxmox Support Team <support@proxmox.com>  Mon, 10 Jun 2024 13:58:17 +0200

pve-container (5.1.10) bookworm; urgency=medium

  * fix #5414: use proper percentages in `pct df`

  * setup: support Ubuntu 24.04 Noble

  * setup: unlink default netplan configuration even with Ubuntu >= 23.04

 -- Proxmox Support Team <support@proxmox.com>  Thu, 02 May 2024 14:37:10 +0200

pve-container (5.0.11) bookworm; urgency=medium

  * api: fix regression with locking and start-after-create

 -- Proxmox Support Team <support@proxmox.com>  Wed, 24 Apr 2024 14:28:00 +0200

pve-container (5.0.10) bookworm; urgency=medium

  * api: status: move config locking from API handler into the task worker to
    avoid potentially blocking the API daemon

  * fix #5160: fix move-mount regression for mount point hotplug

  * api: container index: fix return type of vmid to ensure its an integer

  * pct: fsck: also clean-up (unmap) any mounted volume when the fsck command
    failed

  * ensure that device passthrough changes do not get written to the config
    even though they fail basic validation like if the device exists

  * fix #4474: api: add overrule-shutdown parameter to stop endpoint

  * fix #4846: avoid setting the deprecated noacl mount option on ext4

  * firewall: add handling for new nftables based firewall implementation,
  which currently is a opt-in drop-in replacement for the older iptables-
  based one.

 -- Proxmox Support Team <support@proxmox.com>  Fri, 19 Apr 2024 20:33:01 +0200

pve-container (5.0.9) bookworm; urgency=medium

  * config: schema: remove duplicate attribute assignment for mpX

  * fix #5194: pct: delete environment variables set by pve

  * pct: drop completion helper for target storage on remote-migration

  * pct: add keep-env option to the 'enter' and 'exec' command

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Mar 2024 10:24:22 +0100

pve-container (5.0.8) bookworm; urgency=medium

  * sdn: pass vmid and hostname to allow requesting a new mapping

 -- Proxmox Support Team <support@proxmox.com>  Wed, 22 Nov 2023 14:11:52 +0100

pve-container (5.0.7) bookworm; urgency=medium

  * allow passing raw device nodes through to containers

  * recommend libpve-network-perl for SDN support

  * initial support for dhcp ip allocation in dhcp-enabled SDN zones

  - Proxmox Support Team <support@proxmox.com>  Tue, 21 Nov 2023 15:37:14 +0100

 -- Proxmox Support Team <support@proxmox.com>  Tue, 21 Nov 2023 15:45:04 +0100

pve-container (5.0.6) bookworm; urgency=medium

  * api: network: add endpoint to get interfaces details like configured IPs

  * setup: fix architecture detection for NixOS containers

  * setup base: disable sysfs debug mounts via systemd presets, used by Debian
    12+, Fedora 37+, CentOS 8+, ArchLinux and Ubuntu 23.04+.

  * setup: handle getty services also via systemd-preset to avoid potential
    glitches that happen only for the first boot. For example, Fedora 39 had
    no console available during the first boot.

 -- Proxmox Support Team <support@proxmox.com>  Sun, 19 Nov 2023 19:29:01 +0100

pve-container (5.0.5) bookworm; urgency=medium

  * fix #4765: pct: do not report cpu usage

  * config permission check: also check access for currently configured
    bridge

  * fix #3460: restore: honor 'ignore-unpack-errors' flag for Proxmox Backup
    Server backup source

  * fix #3069: vzdump: add 'pbs-entries-max' parameter

 -- Proxmox Support Team <support@proxmox.com>  Mon, 18 Sep 2023 16:51:24 +0200

pve-container (5.0.4) bookworm; urgency=medium

  * setup: fedora: fix regression with wrong systemd-networkd preset for
    Fedora 37 and newer

 -- Proxmox Support Team <support@proxmox.com>  Sat, 24 Jun 2023 15:08:37 +0200

pve-container (5.0.3) bookworm; urgency=medium

  * migration: only migrate volumes used by the guest not also those

