=== debian/control ===
Source: pve-container
Section: perl
Priority: extra
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: debhelper-compat (= 13),
               dh-apparmor,
               libpve-access-control (>= 8.0.0~),
               libpve-cluster-perl,
               libpve-common-perl (>= 8.1.0),
               libpve-guest-common-perl (>= 5.1.0),
               libpve-storage-perl,
               libtest-mockmodule-perl,
               lxc-pve (>= 4.0.9-2) | lxc (>= 4.0.9),
               pve-cluster (>= 4.0-8),
               pve-doc-generator (>= 5.3-3),
               pve-firewall,
Standards-Version: 4.6.2

Package: pve-container
Section: perl
Priority: optional
Architecture: all
Depends: binutils,
         file,
         libpve-access-control (>= 8.0.0~),
         libpve-cluster-perl,
         libpve-common-perl (>= 8.1.0),
         libpve-guest-common-perl (>= 5.1.3),
         libpve-storage-perl (>= 7.2-10),
         lxc-pve,
         pve-cluster (>= 4.0-8),
         pve-ha-manager (>= 3.0-9),
         pve-lxc-syscalld,
         proxmox-backup-client (>= 3.2.3-1),
         xz-utils,
         ${misc:Depends},
         ${perl:Depends},
Recommends: libpve-network-perl (>= 0.8.3),
Description: Proxmox VE Container management tool
 Tool to manage Linux Containers on Proxmox VE.
